org.apache.commons.net.telnet

## Class TelnetOption

- java.lang.Object
- - org.apache.commons.net.telnet.TelnetOption

-     public class TelnetOption
      extends Object

  The TelnetOption class cannot be instantiated and only serves as a storehouse for Telnet option constants.

  Details regarding Telnet option specification can be found in RFC 855.

  See Also:
    `Telnet`, `TelnetClient`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `APPROXIMATE_MESSAGE_SIZE` 4
    `static int` | `AUTHENTICATION` 37
    `static int` | `BINARY` 0
    `static int` | `BYTE_MACRO` 19
    `static int` | `DATA_ENTRY_TERMINAL` 20
    `static int` | `ECHO` 1
    `static int` | `ENCRYPTION` 38
    `static int` | `END_OF_RECORD` 25
    `static int` | `EXTENDED_ASCII` 17
    `static int` | `EXTENDED_OPTIONS_LIST` 255
    `static int` | `FORCE_LOGOUT` 18
    `static int` | `LINEMODE` 34
    `static int` | `MAX_OPTION_VALUE` The maximum value an option code can have.
    `static int` | `NEGOTIATE_CARRIAGE_RETURN` 10
    `static int` | `NEGOTIATE_FORMFEED` 13
    `static int` | `NEGOTIATE_HORIZONTAL_TAB` 12
    `static int` | `NEGOTIATE_HORIZONTAL_TAB_STOP` 11
    `static int` | `NEGOTIATE_LINEFEED` 16
    `static int` | `NEGOTIATE_OUTPUT_LINE_WIDTH` 8
    `static int` | `NEGOTIATE_OUTPUT_PAGE_SIZE` 9
    `static int` | `NEGOTIATE_VERTICAL_TAB` 15
    `static int` | `NEGOTIATE_VERTICAL_TAB_STOP` 14
    `static int` | `NEW_ENVIRONMENT_VARIABLES` 39
    `static int` | `OLD_ENVIRONMENT_VARIABLES` 36
    `static int` | `OUTPUT_MARKING` 27
    `static int` | `PREPARE_TO_RECONNECT` 2
    `static int` | `REGIME_3270` 29
    `static int` | `REMOTE_CONTROLLED_TRANSMISSION` 7
    `static int` | `REMOTE_FLOW_CONTROL` 33
    `static int` | `SEND_LOCATION` 23
    `static int` | `STATUS` 5
    `static int` | `SUPDUP` 21
    `static int` | `SUPDUP_OUTPUT` 22
    `static int` | `SUPPRESS_GO_AHEAD` 3
    `static int` | `TACACS_USER_IDENTIFICATION` 26
    `static int` | `TERMINAL_LOCATION_NUMBER` 28
    `static int` | `TERMINAL_SPEED` 32
    `static int` | `TERMINAL_TYPE` 24
    `static int` | `TIMING_MARK` 6
    `static int` | `WINDOW_SIZE` 31
    `static int` | `X_DISPLAY_LOCATION` 35
    `static int` | `X3_PAD` 30

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getOption(int code)` Returns the string representation of the Telnet protocol option corresponding to the given option code.
    `static boolean` | `isValidOption(int code)` Determines if a given option code is valid.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APPROXIMATE_MESSAGE_SIZE

          public static final int APPROXIMATE_MESSAGE_SIZE

      4
      See Also:
        Constant Field Values

    - #### AUTHENTICATION

          public static final int AUTHENTICATION

      37
      See Also:
        Constant Field Values

    - #### BINARY

          public static final int BINARY

      0
      See Also:
        Constant Field Values

    - #### BYTE_MACRO

          public static final int BYTE_MACRO

      19
      See Also:
        Constant Field Values

    - #### DATA_ENTRY_TERMINAL

          public static final int DATA_ENTRY_TERMINAL

      20
      See Also:
        Constant Field Values

    - #### ECHO

          public static final int ECHO

      1
      See Also:
        Constant Field Values

    - #### ENCRYPTION

          public static final int ENCRYPTION

      38
      See Also:
        Constant Field Values

    - #### END_OF_RECORD

          public static final int END_OF_RECORD

      25
      See Also:
        Constant Field Values

    - #### EXTENDED_ASCII

          public static final int EXTENDED_ASCII

      17
      See Also:
        Constant Field Values

    - #### EXTENDED_OPTIONS_LIST

          public static final int EXTENDED_OPTIONS_LIST

      255
      See Also:
        Constant Field Values

    - #### FORCE_LOGOUT

          public static final int FORCE_LOGOUT

      18
      See Also:
        Constant Field Values

    - #### LINEMODE

          public static final int LINEMODE

      34
      See Also:
        Constant Field Values

    - #### MAX_OPTION_VALUE

          public static final int MAX_OPTION_VALUE

      The maximum value an option code can have. This value is 255.
      See Also:
        Constant Field Values

    - #### NEGOTIATE_CARRIAGE_RETURN

          public static final int NEGOTIATE_CARRIAGE_RETURN

      10
      See Also:
        Constant Field Values

    - #### NEGOTIATE_FORMFEED

          public static final int NEGOTIATE_FORMFEED

      13
      See Also:
        Constant Field Values

    - #### NEGOTIATE_HORIZONTAL_TAB

          public static final int NEGOTIATE_HORIZONTAL_TAB

      12
      See Also:
        Constant Field Values

    - #### NEGOTIATE_HORIZONTAL_TAB_STOP

          public static final int NEGOTIATE_HORIZONTAL_TAB_STOP

      11
      See Also:
        Constant Field Values

    - #### NEGOTIATE_LINEFEED

          public static final int NEGOTIATE_LINEFEED

      16
      See Also:
        Constant Field Values

    - #### NEGOTIATE_OUTPUT_LINE_WIDTH

          public static final int NEGOTIATE_OUTPUT_LINE_WIDTH

      8
      See Also:
        Constant Field Values

    - #### NEGOTIATE_OUTPUT_PAGE_SIZE

          public static final int NEGOTIATE_OUTPUT_PAGE_SIZE

      9
      See Also:
        Constant Field Values

    - #### NEGOTIATE_VERTICAL_TAB

          public static final int NEGOTIATE_VERTICAL_TAB

      15
      See Also:
        Constant Field Values

    - #### NEGOTIATE_VERTICAL_TAB_STOP

          public static final int NEGOTIATE_VERTICAL_TAB_STOP

      14
      See Also:
        Constant Field Values

    - #### NEW_ENVIRONMENT_VARIABLES

          public static final int NEW_ENVIRONMENT_VARIABLES

      39
      See Also:
        Constant Field Values

    - #### OLD_ENVIRONMENT_VARIABLES

          public static final int OLD_ENVIRONMENT_VARIABLES

      36
      See Also:
        Constant Field Values

    - #### OUTPUT_MARKING

          public static final int OUTPUT_MARKING

      27
      See Also:
        Constant Field Values

    - #### PREPARE_TO_RECONNECT

          public static final int PREPARE_TO_RECONNECT

      2
      See Also:
        Constant Field Values

    - #### REGIME_3270

          public static final int REGIME_3270

      29
      See Also:
        Constant Field Values

    - #### REMOTE_CONTROLLED_TRANSMISSION

          public static final int REMOTE_CONTROLLED_TRANSMISSION

      7
      See Also:
        Constant Field Values

    - #### REMOTE_FLOW_CONTROL

          public static final int REMOTE_FLOW_CONTROL

      33
      See Also:
        Constant Field Values

    - #### SEND_LOCATION

          public static final int SEND_LOCATION

      23
      See Also:
        Constant Field Values

    - #### STATUS

          public static final int STATUS

      5
      See Also:
        Constant Field Values

    - #### SUPDUP

          public static final int SUPDUP

      21
      See Also:
        Constant Field Values

    - #### SUPDUP_OUTPUT

          public static final int SUPDUP_OUTPUT

      22
      See Also:
        Constant Field Values

    - #### SUPPRESS_GO_AHEAD

          public static final int SUPPRESS_GO_AHEAD

      3
      See Also:
        Constant Field Values

    - #### TACACS_USER_IDENTIFICATION

          public static final int TACACS_USER_IDENTIFICATION

      26
      See Also:
        Constant Field Values

    - #### TERMINAL_LOCATION_NUMBER

          public static final int TERMINAL_LOCATION_NUMBER

      28
      See Also:
        Constant Field Values

    - #### TERMINAL_SPEED

          public static final int TERMINAL_SPEED

      32
      See Also:
        Constant Field Values

    - #### TERMINAL_TYPE

          public static final int TERMINAL_TYPE

      24
      See Also:
        Constant Field Values

    - #### TIMING_MARK

          public static final int TIMING_MARK

      6
      See Also:
        Constant Field Values

    - #### WINDOW_SIZE

          public static final int WINDOW_SIZE

      31
      See Also:
        Constant Field Values

    - #### X_DISPLAY_LOCATION

          public static final int X_DISPLAY_LOCATION

      35
      See Also:
        Constant Field Values

    - #### X3_PAD

          public static final int X3_PAD

      30
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getOption

          public static final String getOption(int code)

      Returns the string representation of the Telnet protocol option corresponding to the given option code.
      Parameters:
        `code` - The option code of the Telnet protocol option
      Returns:
        The string representation of the Telnet protocol option.

    - #### isValidOption

          public static final boolean isValidOption(int code)

      Determines if a given option code is valid. Returns true if valid, false if not.
      Parameters:
        `code` - The option code to test.
      Returns:
        True if the option code is valid, false if not.